perl-LV-0.6.0-7.mga7.noarch.rpm


Advertisement

Description

perl-LV - This module makes lvalue subroutines easy and practical to use

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-LV-0.6.0-7.mga7.noarch.rpm
Package name perl-LV
Package version 0.6.0
Package release 7.mga7
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/LV
License GPL+ or Artistic
Maintainer -
Download size 23.29 KB
Installed size 37.03 KB
This module makes lvalue subroutines easy and practical to use. It's
inspired by the lvalue module which is sadly problematic because of the
existence of another module on CPAN called Lvalue. (They can get confused
on file-systems that have case-insensitive file names.)
LV comes with three different implementations, based on Variable::Magic,
Sentinel and `tie`; it will choose and use the best available one. You can
force LV to pick a particular implementation using:
$ENV{PERL_LV_IMPLEMENTATION} = 'Magic'; # or 'Sentinel' or 'Tie'
The tie implementation is the slowest, but will work on Perl 5.6 with only
core modules.

Alternatives

Package Version Architecture Repository
perl-LV-0.6.0-7.mga7.noarch.rpm 0.6.0 noarch Mageia Core
perl-LV - - -

Requires

Name Value
perl >= 0:5.006
perl >= 0:5.008
perl(Carp) -
perl(Exporter) -
perl(Sentinel) -
perl(Variable::Magic) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.28.0

Provides

Name Value
perl(LV) == 0.6.0
perl(LV::Backend::Magic) == 0.6.0
perl(LV::Backend::Sentinel) == 0.6.0
perl(LV::Backend::Tie) == 0.6.0
perl(LV::Backend::Tie::TiedScalar) == 0.6.0
perl-LV == 0.6.0-7.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-LV-0.6.0-7.mga7.noarch.rpm
Source Package perl-LV-0.6.0-7.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-LV rpm package:
    # urpmi perl-LV

Files

Path
/usr/share/doc/perl-LV/Changes
/usr/share/doc/perl-LV/LICENSE
/usr/share/doc/perl-LV/META.json
/usr/share/doc/perl-LV/META.yml
/usr/share/doc/perl-LV/MYMETA.yml
/usr/share/doc/perl-LV/README
/usr/share/doc/perl-LV/SIGNATURE
/usr/share/man/man3/LV.3pm.xz
/usr/share/perl5/vendor_perl/LV.pm
/usr/share/perl5/vendor_perl/LV/
/usr/share/perl5/vendor_perl/LV/Backend/Magic.pm
/usr/share/perl5/vendor_perl/LV/Backend/Sentinel.pm
/usr/share/perl5/vendor_perl/LV/Backend/Tie.pm

Changelog

2018-09-19 - umeabot <umeabot> 0.6.0-7.mga7
(not released yet)
+ Revision: 1269044
- Mageia 7 Mass Rebuild
2016-06-19 - pterjan <pterjan> 0.6.0-6.mga6
+ Revision: 1029456
- Rebuild for perl 5.22.2
2016-02-02 - umeabot <umeabot> 0.6.0-5.mga6
+ Revision: 931098
- Mageia 6 Mass Rebuild

See Also

Package Description
perl-LWP-Authen-Wsse-0.50.0-11.mga7.noarch.rpm Library for enabling X-WSSE authentication in LWP
perl-LWP-ConsoleLogger-0.0.42-1.mga8.noarch.rpm LWP tracing and debugging
perl-LWP-Curl-0.140.0-4.mga7.noarch.rpm LWP methods implementation with Curl engine
perl-LWP-MediaTypes-6.40.0-1.mga7.noarch.rpm Media types and mailcap processing
perl-LWP-Online-1.80.0-9.mga7.noarch.rpm Does your process have access to the web
perl-LWP-Parallel-UserAgent-2.620.0-1.mga7.noarch.rpm A class for parallel User Agents
perl-LWP-Protocol-PSGI-0.100.0-3.mga7.noarch.rpm Override LWP's HTTP/HTTPS backend with your own PSGI applciation
perl-LWP-Protocol-https-6.70.0-2.mga7.noarch.rpm Provide https support for LWP::UserAgent
perl-LWP-Protocol-socks-1.700.0-4.mga7.noarch.rpm Adds support for the socks protocol and proxy facility
perl-LWP-UserAgent-Determined-1.70.0-8.mga7.noarch.rpm A virtual browser that retries errors
perl-LWPx-ParanoidAgent-1.120.0-3.mga7.noarch.rpm Paranoid subclass of LWP::UserAgent
perl-LaTeX-Driver-0.300.2-5.mga7.noarch.rpm Driver to run LaTeX, bibtex and makeindex
perl-LaTeX-Encode-0.92.0-3.mga7.noarch.rpm Encode LaTeX special chars for typesetting
perl-LaTeX-Table-1.0.6-9.mga7.noarch.rpm Automatic generation of LaTeX tables
perl-LaTeX-TikZ-0.30.0-4.mga7.noarch.rpm Type constraint metaclass that autoloads type coercions
Advertisement
Advertisement